# == Class: talk::server
#
# This module provides a class to manage the talk server.
#
# === Parameters
#
# See talk::server::params for parameters.
#
# === Examples
#
# class { 'talk::server': }
#
# === License
#
# Copyright (C) 2013 Jeffrey Goettsch <jgoettsch@gmail.com>.
#
# This file is part of jgoettsch-talk.
#
# jgoettsch-talk is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# jgoettsch-talk is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jgoettsch-talk.  If not, see <http://www.gnu.org/licenses/>.
#
class talk::server {

  require talk::server::params

  case $talk::server::params::ensure {
    present,installed,absent,purged,held,latest: {
      $ensure_real = $talk::server::params::ensure
    }
    default: {
      fail('ensure must be present, installed, absent, purged, held, or latest')
    }
  }

  package { 'talk-server':
    ensure => $ensure_real,
    name   => $talk::server::params::package_name,
  }
}
