# == Class: talk::server::params
#
# This module supplies default parameters to the talk::server class.
# Parameters can be overridden using hiera.
#
# === Parameters
#
# [*ensure*]
#   Ensure if present, installed, absent, purged, held, or latest.
#
#   Default: present
#
# === License
#
# Copyright (C) 2013 Jeffrey Goettsch <jgoettsch@gmail.com>.
#
# This file is part of jgoettsch-talk.
#
# jgoettsch-talk is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# jgoettsch-talk is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jgoettsch-talk.  If not, see <http://www.gnu.org/licenses/>.
#
class talk::server::params {

  case $::osfamily {
    debian: {
      $package_name = 'talkd'
    }
    redhat: {
      $package_name = 'talk-server'
    }
    default: {
      fail("unsupported operating system: ${::osfamily}/${::operatingsystem}")
    }
  }

  $ensure = hiera('talk::server::params::ensure', 'present')
}
